Bug 33648 - [fetchmail] Configurable default group name
[fetchmail] Configurable default group name
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Mail
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.2-0-errata
Assigned To: Florian Best
Daniel Tröder
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-04 13:45 CET by Stefan Gohmann
Modified: 2017-05-03 15:16 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 4: Minor Usability: Impairs usability in secondary scenarios
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 4: A User would return the product
User Pain: 0.091
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): External feedback
Max CVSS v3 score:
best: Patch_Available+


Attachments
patch (1.20 KB, patch)
2016-07-07 13:17 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2013-12-04 13:45:56 CET
mail/univention-fetchmail/conffiles/etc/ldap/slapd.conf.d/66univention-fetchmail_acl-settings:    by group/univentionGroup/uniqueMember="cn=Domain Admins,cn=groups,@%@ldap/base@%@" write
Comment 1 Moritz Bunkus 2016-07-07 13:04:44 CEST
This problem does still occur in UCS 4.1. And it still confounds users. See this forum thread for the latest incarnation where a user cannot change the fetchmail password via the UMC even though he's a member of the domain administrators group — it just happens to be named "Domänen-Admins" and not "Domain Admins":

http://forum.univention.de/viewtopic.php?f=48&t=5880&p=21453
Comment 2 Florian Best univentionstaff 2016-07-07 13:17:01 CEST
Created attachment 7785 [details]
patch
Comment 3 Moritz Bunkus 2016-07-07 13:19:14 CEST
That was fast, thanks :) I'll mention it in the forum thread, too.
Comment 4 Florian Best univentionstaff 2017-04-25 15:32:46 CEST
I applied the patch:

univention-fetchmail (10.0.1-1):
r78917 | Bug #33648: respect overridden "Domain Admins" group name

univention-fetchmail.yaml:
r78918 | YAML Bug #41336 Bug #33648
Comment 5 Daniel Tröder univentionstaff 2017-04-26 15:58:07 CEST
OK: code
OK: diff old and new slapd.conf
OK: advisory
Comment 6 Janek Walkenhorst univentionstaff 2017-05-03 15:16:10 CEST
<http://errata.software-univention.de/ucs/4.2/9.html>